# SPDX-License-Identifier: (GPL-2.0 OR BSD-2-Clause)
# Copyright 2018 Linaro Ltd.
%YAML 1.2
---
$id: http://devicetree.org/schemas/net/intel,ixp46x-ptp-timer.yaml#
$schema: http://devicetree.org/meta-schemas/core.yaml#

title: Intel IXP46x PTP Timer (TSYNC)

maintainers:
  - Linus Walleij <linusw@kernel.org>

description: |
  The Intel IXP46x PTP timer is known in the manual as IEEE1588 Hardware
  Assist and Time Synchronization Hardware Assist TSYNC provides a PTP
  timer. It exists in the Intel IXP45x and IXP46x XScale SoCs.

properties:
  compatible:
    const: intel,ixp46x-ptp-timer

  reg:
    maxItems: 1

  interrupts:
    items:
      - description: Interrupt to trigger master mode snapshot from the
          PRP timer, usually a GPIO interrupt.
      - description: Interrupt to trigger slave mode snapshot from the
          PRP timer, usually a GPIO interrupt.

  interrupt-names:
    items:
      - const: master
      - const: slave

required:
  - compatible
  - reg
  - interrupts
  - interrupt-names

additionalProperties: false

examples:
  - |
    #include <dt-bindings/interrupt-controller/irq.h>
    ptp-timer@c8010000 {
        compatible = "intel,ixp46x-ptp-timer";
        reg = <0xc8010000 0x1000>;
        interrupt-parent = <&gpio0>;
        interrupts = <8 IRQ_TYPE_EDGE_FALLING>, <7 IRQ_TYPE_EDGE_FALLING>;
        interrupt-names = "master", "slave";
    };
